Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions | Variables
ossl_engine.h File Reference

Go to the source code of this file.

## Functions
void | Init_ossl_engine (void)

## Variables
VALUE | cEngine
VALUE | eEngineError

## Function Documentation

## ◆ Init_ossl_engine()

void Init_ossl_engine | ( | void |  | ) |

Definition at line 529 of file ossl_engine.c.

References cEngine, eEngineError, eOSSLError, mOSSL, rb_cObject, rb_define_class_under(), rb_define_module(), rb_define_singleton_method(), rb_eStandardError, and rb_undef_alloc_func().

## Variable Documentation

## ◆ cEngine

VALUE cEngine

Definition at line 39 of file ossl_engine.c.

Referenced by Init_ossl_engine().

## ◆ eEngineError

VALUE eEngineError

Definition at line 44 of file ossl_engine.c.

Referenced by Init_ossl_engine().